# ecom: Output Class Reference

All Data Structures Namespaces Files Functions Variables
Output Class Reference

## Public Member Functions

| __construct ($context)
| renderFile ($filePath)
| filter_content ($content)

## Private Attributes

| $context
| $output_filtering

## Detailed Description

Definition at line 11 of file Output.php.

## Constructor & Destructor Documentation

__construct | ( |  | $context | ) |

Definition at line 16 of file Output.php.

{
$this->output_filtering = true;
$this->context = $context;
}
Tools\Output\$context
$context
Definition: Output.php:13

## Member Function Documentation

filter_content | ( |  | $content | ) |

Definition at line 34 of file Output.php.

{
//TODO trigger hook
echo $content;
}

renderFile | ( |  | $filePath | ) |

Definition at line 22 of file Output.php.

{
_global_include_($filePath, array(
"controller" => $this->context->controller,
"context" => $this->context,
"cart" => $this->context->cart,
"user" => $this->context->user));
$content = ob_get_contents();
ob_end_clean();
$this->filter_content($content);
}
Tools\Output\filter_content
filter_content($content)
Definition: Output.php:34
Tools\_global_include_
_global_include_($filename, $vars)
Definition: Output.php:5

## Field Documentation

$context

private

Definition at line 13 of file Output.php.

$output_filtering

private

Definition at line 14 of file Output.php.

The documentation for this class was generated from the following file:

- core/tools/Output.php